MacOS Sierra Beta - Casper Self Service can't install anything :(

Bernard_Huang
Contributor III

Hi all,

Our company have started to experiment with MacOS Sierra Beta. So we have a MacOS 10.12 Macbook ready (It was upgraded from 10.10.5 Yosemite). This Macbook has always had Casper enrolled and Self Service working.

After the MacOS Sierra installation, Self Service doesn't work anymore. When clicking on install for Chrome, we get the following in our log:

Executing Policy Google Chrome 52.0.2743.82... [STEP 1 of 2] Downloading https://URL/CasperShare/Packages/googlechrome-52.0.2743.82.dmg... The network connection was interrupted while downloading the package from https://URL/CasperShare/Packages/googlechrome-52.0.2743.82.dmg. Attempting to reconnect... Downloading https://URL/CasperShare/Packages/googlechrome-52.0.2743.82.dmg... Error: googlechrome-52.0.2743.82.dmg is not available on the HTTP server. [STEP 2 of 2] Running script Software - Install Application [DMG Image]... Script exit code: 1 Script result: Script properties - tmpApplicationName: Google Chrome.app - tmpProcessName: Google Chrome - tmpProcessNameHelper: Kill & remove running processes before replacing file - Google Chrome.app is not installed. ** Google Chrome.app has not been extracted from archive.

Is there something I need to do on the Macbook's end? Or Casper JSS? to make it able to download? The error seems to be can't connect to Casper server. Could MacOS Sierra removed a SSL certificate?

7 REPLIES 7

dmw3
Contributor III

We have had no trouble installing packages via Self Service on Sierra 10.12 beta.

What version of Sierra 10.12 beta are you running - our test box is at 10.12 Beta (16A201w)

Also what version of JSS are you running - ours is 9.91

Bernard_Huang
Contributor III

JSS = version 9.81
MacOS = 10.12 Beta (16A238m)

I've now restarted this MacOS Macbook a few times, I've compared keychains for an missing certificates. So far I haven't found a root cause of not being able to download software from Self Service.

Could be just our JSS is old.

Bernard_Huang
Contributor III

Hmmmm.....
From Self Service, I can install a policy that is shell script only. This script is to set-up our company's proxy settings.

So, Looks like Self Service policies do work. It's just that it can't connect and download dmg or pkg from Casper server.

pmcgurn
New Contributor III

What type of distribution point are you using? We had so many issues with HTTP-based, and AFP-based, on 9.92, that we ended up having to resort to SMB. I am able to install packages from Self Service using that, with no issue.

[STEP 1 of 6] Executing Policy Cisco Jabber 11.6.0 [STEP 2 of 6] Running script Kill Process by Name... Script exit code: 0 Script result: Process name to kill is Cisco Jabber Running killall on Cisco Jabber No matching processes were found All done [STEP 3 of 6] Mounting redacted Installing Cisco Jabber 11.6.0. 235520... Closing package... [STEP 4 of 6] [STEP 5 of 6] Inventory will be updated when all queued actions in Self Service are complete. [STEP 6 of 6] Unmounting file server...

Bernard_Huang
Contributor III

Update:
We have now created a Casper JSS 9.92 instance (I know it's not the latest, but this is good enough for testing).
Then from this JSS 9.92 > MacOS Sierra Beta > Self service 9.92 does work! I quickly uploaded a package to this, and Self Service can download to MacOS Sierra.
So at this point, I can say JSS 9.92 works with MacOS 10.12.

Next, I pointed the CasperShare drive to the mount that has all our current packages (so I don't have to upload them one by one again).

Now, Self Service can't download again 😞

From MacOS's browser, I tried https://URL/CasperShare/Packages/googlechrome-52.0.2743.82.dmg
it most definitely can download my googlechrome-52.0.2743.82.dmg

But why can't Self Service> I even upgraded it.

skeb1ns
Contributor

I think you should upgrade your JSS to 9.96 since the latest version officially supports Sierra :).

http://docs.jamfsoftware.com/9.96/casper-suite/release-notes/What's_New_in_This_Release.html

bentoms
Honored Contributor III
Honored Contributor III

What @skeb1ns said.

9.93 had limited 10.12 support, 9.96 has full.